# System Requirements
- Python >= 3.6
- psutil
- pycryptodome

# Installation

```
pip install moca_core==1.0.0
or
pip install moca_core
```

# Overview
##### English
This is the core module of Moca System.
This module contains some common functions for other module.
---
##### 日本語
これはモカシステムのコアモジュールである。
他のモジュールのための共通のいくつかの機能を提供します。
---
##### 简体中文
这是茉客系统的核心模块。
为其他模块提供了一些共通的功能。

# License

- MIT License

```
Copyright 2020.1.17 <el.ideal-ideas: https://www.el-ideal-ideas.com>

Permission is hereby granted, free of charge, 
to any person obtaining a copy of this software 
and associated documentation files (the "Software"),
to deal in the Software without restriction, 
including without limitation the rights to use, copy, 
modify, merge, publish, distribute, sublicense, 
and/or sell copies of the Software, and to permit persons
to whom the Software is furnished to do so, 
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF 
ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, 
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH 
THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
```
    
# Other Information
- el.ideal-ideas
    - https://www.el-ideal-ideas.com
- psutil License
    - https://github.com/giampaolo/psutil/blob/master/LICENSE
- pycryptodome License
    - https://github.com/Legrandin/pycryptodome/blob/master/LICENSE.rst
    